package com.lz.modules.flow.dao;
/**
* <p>
* 流程审批表 服务类
* </p>
*
* @author quyixiao
* @since 2020-10-13
*/
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.lz.modules.flow.entity.FlowApprovalRole;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface FlowApprovalRoleMapper extends BaseMapper<FlowApprovalRole> {


	FlowApprovalRole selectFlowApprovalRoleById(@Param("id")Long id);


	Long insertFlowApprovalRole(FlowApprovalRole flowApprovalRole);


	int updateFlowApprovalRoleById(FlowApprovalRole flowApprovalRole);


	int updateCoverFlowApprovalRoleById(FlowApprovalRole flowApprovalRole);


	int deleteFlowApprovalRoleById(@Param("id")Long id);


    Long insertFlowApprovalRoles(@Param("list") List<FlowApprovalRole> flowApprovalRoles);

    List<FlowApprovalRole> selectFlowApprovalRoleList(@Param("flowIds") List<Long> flowIds);
}